Skip to content

Get Overrides

GET
/api/v1/dogfood/learning/overrides
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/dogfood/learning/overrides \
--header 'X-API-Key: <X-API-Key>'

Return only this owner’s most recent 30 prompt revisions.

Successful Response

Media typeapplication/json
OverrideListResponse
object
items
required
Items
Array<object>
OverrideListItem

One row from the last-30 overrides history view.

is_active is rolled_back_at IS NULL – the server-side evaluation is done in the route handler because the partial index lookup in PostgreSQL is already cheap.

object
actor_user_id
required
Any of:
string
agent_role
required
Agent Role
string
applied_at
required
Applied At
string format: date-time
id
required
Id
string format: uuid
is_active
required
Is Active
boolean
prompt_fragment
required
Prompt Fragment
string
rolled_back_at
required
Any of:
string format: date-time
source_staged_instinct_id
required
Any of:
string format: uuid
version
required
Version
integer
Examplegenerated
{
"items": [
{
"actor_user_id": "example",
"agent_role": "example",
"applied_at": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"is_active": true,
"prompt_fragment": "example",
"rolled_back_at": "2026-04-15T12:00:00Z",
"source_staged_instinct_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"version": 1
}
]
}